include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### smb4tdeconfigdialog (shared)

tde_add_kpart( libsmb4tdeconfigdialog AUTOMOC
  SOURCES
    smb4kauthoptions.cpp smb4tdeconfigdialog.cpp smb4knetworkoptions.cpp smb4tdersyncoptions.cpp
    smb4ksambaoptions.cpp smb4kshareoptions.cpp smb4ksuperuseroptions.cpp smb4kuserinterfaceoptions.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared smb4kcore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
